using System;

internal sealed class Delegate689 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate689 delegate689_1)
	{
		return delegate689_1(object_0);
	}

	public extern Delegate689(object object_0, IntPtr intptr_0);

	static Delegate689()
	{
		Class10.smethod_13(typeof(Delegate689).TypeHandle);
	}

	internal static Delegate689 delegate689_0;
}
